package org.xyzh.common.core.enums;

/**
 * @description    DataStatus枚举类 数据状态枚举类
 * @filename    DataStatus.java
 * @author    yslg
 * @copyright xyzh
 * @since 2025-09-07
 */
public enum DataStatus {

    WAITING("0", "待处理", "数据待处理"),
    PROCESSING("1", "处理中", "数据处理中"),
    COMPLETED("2", "已完成", "数据已完成"),
    FAILED("3", "处理失败", "数据处理失败"),
    CANCELLED("4", "已取消", "数据已取消"),
    DELETED("5", "已删除", "数据已删除");

    private final String code;
    private final String name;
    private final String description;

    DataStatus(String code, String name, String description) {
        this.code = code;
        this.name = name;
        this.description = description;
    }

    /**
     * @description    获取枚举值
     * @param    
     * @return    String 枚举值
     * @author    yslg
     * @since 2025-09-07
     */
    public String getCode() {
        return code;
    }

    /**
     * @description    获取枚举名称
     * @return    String 枚举名称
     * @author    yslg
     * @since 2025-09-07
     */
    public String getName() {
        return name;
    }

    /**
     * @description    获取枚举描述
     * @return    String 枚举描述
     * @author    yslg
     * @since 2025-09-07
     */
    public String getDescription() {
        return description;
    }
}
